> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Happyhorse Videos



## OpenAPI

````yaml /openapi/happyhorse.json post /happyhorse/videos
openapi: 3.0.0
info:
  title: HappyHorse Video
  version: 1.0.0
  description: API reference for HappyHorse Video on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /happyhorse/videos:
    post:
      summary: Happyhorse Videos
      operationId: createHappyhorseVideos
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Happyhorse Videos Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  enum:
                    - generate
                    - image_to_video
                    - reference_to_video
                    - video_edit
                  type: string
                  default: generate
                  example: generate
                  description: Happyhorse Videos Action
                model:
                  enum:
                    - happyhorse-1.0-t2v
                    - happyhorse-1.1-t2v
                    - happyhorse-1.0-i2v
                    - happyhorse-1.1-i2v
                    - happyhorse-1.0-r2v
                    - happyhorse-1.1-r2v
                    - happyhorse-1.0-video-edit
                  type: string
                  default: happyhorse-1.1-t2v
                  example: happyhorse-1.1-t2v
                  description: Happyhorse Videos Model
                prompt:
                  type: string
                  example: >-
                    A cinematic white horse lifts its head, the mane moves
                    gently in the sunrise wind, slow camera push in, warm film
                    lighting
                  description: Happyhorse Videos Prompt
                image_url:
                  type: string
                  example: https://cdn.acedata.cloud/b1c82e4937.png
                  description: Happyhorse Videos Image Url
                image_urls:
                  type: array
                  items:
                    type: string
                  description: Happyhorse Videos Image Urls
                video_url:
                  type: string
                  example: >-
                    https://cdn.acedata.cloud/assets/examples/happyhorse/27837f92-d1c1-4db4-ad9a-4e6e81d9f6c1-2c108ce23554.mp4
                  description: Happyhorse Videos Video Url
                resolution:
                  enum:
                    - 720P
                    - 1080P
                  type: string
                  default: 1080P
                  example: 720P
                  description: Happyhorse Videos Resolution
                ratio:
                  enum:
                    - '16:9'
                    - '9:16'
                    - '1:1'
                    - '4:3'
                    - '3:4'
                  type: string
                  default: '16:9'
                  example: '16:9'
                  description: Happyhorse Videos Ratio
                duration:
                  type: integer
                  default: 5
                  minimum: 3
                  maximum: 15
                  example: 5
                  description: Happyhorse Videos Duration
                watermark:
                  type: boolean
                  default: false
                  description: Happyhorse Videos Watermark
                audio_setting:
                  enum:
                    - auto
                    - origin
                  type: string
                  default: auto
                  description: Happyhorse Videos Audio Setting
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                  description: Happyhorse Videos Seed
                callback_url:
                  type: string
                  description: Happyhorse Videos Callback Url
                async:
                  type: boolean
                  description: Happyhorse Videos Async
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  task_id: 27837f92-d1c1-4db4-ad9a-4e6e81d9f6c1
                  trace_id: 6071ab5e-2f37-46f0-9e07-f1e378112e69
                  data:
                    - id: 9650580f-6d9e-4bc1-823a-29011790c5cb
                      video_url: >-
                        https://cdn.acedata.cloud/assets/examples/happyhorse/27837f92-d1c1-4db4-ad9a-4e6e81d9f6c1-2c108ce23554.mp4
                      state: succeeded
                      duration: 5
                      resolution: 720P
                      ratio: null
                properties:
                  success:
                    type: boolean
                    description: Happyhorse Videos Response 200 Success
                  task_id:
                    type: string
                    description: Happyhorse Videos Response 200 Task Id
                  trace_id:
                    type: string
                    description: Happyhorse Videos Response 200 Trace Id
                  data:
                    type: array
                    description: Happyhorse Videos Response 200 Data
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Happyhorse Videos Response 200 Data Id
                        video_url:
                          type: string
                          description: Happyhorse Videos Response 200 Data Video Url
                        state:
                          type: string
                          enum:
                            - pending
                            - succeeded
                            - error
                          description: Happyhorse Videos Response 200 Data State
                        duration:
                          type: number
                          description: Happyhorse Videos Response 200 Data Duration
                        resolution:
                          type: string
                          description: Happyhorse Videos Response 200 Data Resolution
                        ratio:
                          type: string
                          description: Happyhorse Videos Response 200 Data Ratio
                          nullable: true
          description: Happyhorse Videos Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: prompt is required for text-to-video.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Happyhorse Videos Response 400 Error Code
                          message:
                            type: string
                            example: prompt is required for text-to-video.
                            description: Happyhorse Videos Response 400 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Videos Response 400 Trace Id
          description: Happyhorse Videos Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Happyhorse Videos Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Happyhorse Videos Response 401 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Videos Response 401 Trace Id
          description: Happyhorse Videos Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Happyhorse Videos Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Happyhorse Videos Response 403 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Videos Response 403 Trace Id
          description: Happyhorse Videos Response 403
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: Too many requests, please try again later.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Happyhorse Videos Response 429 Error Code
                          message:
                            type: string
                            example: Too many requests, please try again later.
                            description: Happyhorse Videos Response 429 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Videos Response 429 Trace Id
          description: Happyhorse Videos Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Happyhorse Videos Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Happyhorse Videos Response 500 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Videos Response 500 Trace Id
          description: Happyhorse Videos Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.